/* ########## HAMBURGER MENU ########## */
#hamburger-menu {
	margin-right: 13px;
	bottom: 4px;
	right: 0;
	position: absolute;
	z-index: 9999;

	> div {
		height: 4px;
		background: $whitest_white;
		border-radius: 2px;
	}

	&.menu-open > div {
		background: $deep_midnight;
	}

	#one {
		width: 36px;
		margin-left: 8px;
		transition: all 300ms;
	}

	#two {
		width: 44px;
		margin: 6px 0;
		background: $whitest_white;
		transition: all 300ms;
	}

	#three {
		width: 26px;
		margin-left: 17px;
		transition: all 300ms;
	}

	&.menu-open {
		#one {
			margin-left: 7px;
			width: 30px;
			position: absolute;
			top: 6px;
			transform: rotateZ(-45deg);
			transition: all 300ms;
		}

		#two {
			opacity: 0;
			transition: all 300ms;
		}

		#three {
			margin-left: 7px;
			width: 30px;
			position: absolute;
			bottom: 6px;
			transform: rotateZ(45deg);
			transition: all 300ms;
		}
	}
}
